## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/HewlettPackard/netperf
%global commit 3bc455b23f901dae377ca0a558e1e32aa56b31c4
%forgemeta

Name:           netperf
Version:        2.7.0
Release:        %autorelease
Summary:        Benchmark to measure the performance of many different types of networking

License:        MIT and BSD
URL:            https://hewlettpackard.github.io/netperf
Source0:        %{forgesource}
Source1:        netserver.service

# PR#63: netserver: do not chmod("/dev/null", 0644) when suppress_debug==1
Patch1:         %{forgeurl}/pull/63.patch

Patch2:         netperf-c99.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  lksctp-tools-devel
BuildRequires:  systemd-rpm-macros
BuildRequires:  texinfo-tex

%description
Netperf is a benchmark that can be used to measure the performance of many
different types of networking. It provides tests for both unidirectional
throughput, and end-to-end latency.

%prep
%forgeautosetup -p1
# remove prebuilt documentation
rm doc/netperf.{html,pdf}

%build
./autogen.sh
# workaround build issue with GCC 10 and later
export CFLAGS="%{optflags} -fcommon"
%configure \
  --enable-burst \
  --enable-dccp \
  --enable-demo \
  --enable-dirty \
  --enable-histogram \
  --enable-intervals \
  --enable-omni \
  --enable-sctp \
  --enable-unixdomain

%make_build
%make_build -C doc netperf.html netperf.pdf

%install
%make_install
install -Dpm0644 -t %{buildroot}%{_unitdir} %SOURCE1
rm %{buildroot}%{_infodir}/dir
rm doc/examples/Makefile*
chmod -x doc/examples/*

%post
%systemd_post netserver.service

%preun
%systemd_preun netserver.service

%postun
%systemd_postun_with_restart netserver.service

%files
%license COPYING
%doc AUTHORS README Release_Notes
%doc doc/netperf.pdf doc/netperf.html
%doc doc/examples
%{_bindir}/netperf
%{_bindir}/netserver
%{_unitdir}/netserver.service
%{_infodir}/netperf.*
%{_mandir}/man1/netperf.1*
%{_mandir}/man1/netserver.1*

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 18 2022 Florian Weimer <fweimer@redhat.com> - 2.7.0-4
- C99 compatibility fix

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.7.0-1
- Initial package; Fixes: RHBZ#1982011
## END: Generated by rpmautospec
